Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.model
Class SelectItemGroup

    java.lang.Object
      javax.faces.model.SelectItem
          javax.faces.model.SelectItemGroup

All Implemented Interfaces:
  java.io.Serializable

public class SelectItemGroup
extends SelectItem

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`SelectItemGroup()`
`SelectItemGroup(java.lang.String label)`
`SelectItemGroup(java.lang.String label, java.lang.String description, boolean disabled, SelectItem[] selectItems)`

Method Summary
`SelectItem[]` | `getSelectItems()`
`void` | `setSelectItems(SelectItem[] selectItems)`

Methods inherited from class javax.faces.model.SelectItem
`getDescription, getLabel, getValue, isDisabled, setDescription, setDisabled, setLabel, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItemGroup

    public SelectItemGroup()

### SelectItemGroup

    public SelectItemGroup(java.lang.String label)

### SelectItemGroup

    public SelectItemGroup(java.lang.String label,
                           java.lang.String description,
                           boolean disabled,
                           SelectItem[] selectItems)

Method Detail

### getSelectItems

    public SelectItem[] getSelectItems()

### setSelectItems

    public void setSelectItems(SelectItem[] selectItems)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD